##### GENERAL STUFF #####
%define name    gtick 
%define version 0.4.2 
%define release %mkrel 1 

Name:           %{name} 
Summary:        Metronome application for GNU/Linux
Version:        %{version} 
Release:        %{release} 
Source0:        %{name}-%{version}.tar.gz
Source1:	%{name}-png.tar.gz
URL:            http://www.antcom.de/gtick/ 

Group:          Applications/Sound 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 

BuildRequires:  libgtk+2.0-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
 

##### DESCRIPTION #####
%description
gtick is a metronome application supporting different meters (Even, 2/4, 3/4, 4/4 and more) and speeds ranging from 10 to 1000 bpm. It utilizes GTK+ and OSS (ALSA compatible).


##### PREP #####
%prep 
%setup -q -a1

##### BUILD #####
%build 
%configure 
%make

##### INSTALL #####
%install
%makeinstall
# Creation of *.desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=%{name}
GenericName=Metronome
Comment= %{summary}
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Audio;Music;GTK;X-MandrivaLinux-Multimedia-Sound;
EOF

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
install -D -m 644 %{name}16.png %{buildroot}/%{_miconsdir}/%{name}.png
install -D -m 644 %{name}32.png %{buildroot}/%{_iconsdir}/%{name}.png
install -D -m 644 %{name}48.png %{buildroot}/%{_liconsdir}/%{name}.png

##### CLEAN #####
%clean 
rm -rf $RPM_BUILD_ROOT 

##### POST & POSTUN INSTALL SCRIPTS #####
%post
%update_menus

%postun
%clean_menus


##### FILE LIST #####
%files 
%defattr(-,root,root)
%doc README COPYING TODO ChangeLog
%doc doc/NOTES
%doc NEWS THANKS INSTALL AUTHORS ABOUT-NLS
%doc %{_mandir}/man1/%{name}.1.*
%{_bindir}/gtick
%{_datadir}/locale/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


##### CHANGELOG #####
%changelog
* Tue Feb 03 2009 tigger-gg <rpm@mandrivauser.de> 0.4.2-1mud2009.0
- rebuild for x86_64

* Thu Nov 27 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.2-1mud2009.0
- rebuild for MUde

* Sat Nov 22 2008 Marc <reggaerulez@gmx.de> 0.4.2-1mdk
- 1st try
